> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Vehicle

> Add vehicle to the bill after initiating multi-vehicle movement

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/add_vehicle.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle/vehicle
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignor/bill/{ewb_no}/multi-vehicle/vehicle:
    post:
      tags:
        - E-Way Bill1
        - Consignor
        - Multi-Vehicle Movement
      summary: Add Vehicle
      description: Add Vehicle
      operationId: addVehicle
      parameters:
        - name: ewb_no
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ewbNo:
                  type: number
                  example: 291010080003
                groupNo:
                  type: string
                  example: '1'
                quantity:
                  type: number
                  example: 15
                transDocDate:
                  type: string
                  example: 12/10/2017
                transDocNo:
                  type: string
                  example: '1234'
                vehicleNo:
                  type: string
                  example: PQR1234
            examples:
              200 Vehicle added:
                value:
                  ewbNo: 291010080003
                  groupNo: '1'
                  quantity: 15
                  transDocDate: 12/10/2017
                  transDocNo: '1234'
                  vehicleNo: PQR1234
                summary: 200 Vehicle added
              301 Invalid EWB number:
                value:
                  ewbNo: 291010080005
                  groupNo: '1'
                  vehicleNo: PQR1234
                  transDocNo: '1234'
                  transDocDate: 12/10/2017
                  quantity: 15
                summary: 301 Invalid EWB number
              400 Exceeded multi-vehicle movement initiation quantity:
                value:
                  ewbNo: 291010080003
                  groupNo: '1'
                  vehicleNo: PQR1234
                  transDocNo: '1234'
                  transDocDate: 12/10/2017
                  quantity: 15
                summary: 400 Exceeded multi-vehicle movement initiation quantity
      responses:
        '200':
          description: >-
            200 Vehicle added / 301 Invalid EWB number / 400 Exceeded
            multi-vehicle movement initiation quantity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      alert:
                        type: string
                        nullable: true
                        example: null
                      data:
                        type: object
                        properties:
                          ewbNo:
                            type: string
                            example: '291010080003'
                          groupNo:
                            type: string
                            example: '1'
                          vehAddedDate:
                            type: string
                            example: 13/05/2024 04:19:00 PM
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: '301'
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: b0eb7094-2825-4fae-8b1b-79771a41a65a
              examples:
                200 Vehicle added:
                  summary: 200 Vehicle added
                  value:
                    code: 200
                    data:
                      alert: null
                      data:
                        ewbNo: '291010080003'
                        groupNo: '1'
                        vehAddedDate: 13/05/2024 04:19:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: b0eb7094-2825-4fae-8b1b-79771a41a65a
                301 Invalid EWB number:
                  summary: 301 Invalid EWB number
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '301'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 6440ae4b-4917-4f66-a02e-a0dfb3b80b33
                400 Exceeded multi-vehicle movement initiation quantity:
                  summary: 400 Exceeded multi-vehicle movement initiation quantity
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '400'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 280a631d-93a1-4be5-aced-a0242d12f7d4
          headers: {}
      deprecated: false
      security: []

````